Skip to main content
GET
/
{org}
/
{repo}
/
upstream
/
syncs
List upstream syncs
curl --request GET \
  --url https://api.mesa.dev/v1/{org}/{repo}/upstream/syncs \
  --header 'Authorization: Bearer <token>'
{
  "next_cursor": "<string>",
  "has_more": true,
  "syncs": [
    {
      "id": "<string>",
      "repo_id": "<string>",
      "attempt": 123,
      "ref_globs": {
        "branches": "<string>",
        "tags": "<string>"
      },
      "stats": {
        "refs": [
          {
            "name": "<string>",
            "before": "<string>",
            "after": "<string>"
          }
        ]
      },
      "error": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "started_at": "2023-11-07T05:31:56Z",
      "finished_at": "2023-11-07T05:31:56Z"
    }
  ]
}
Required scope: read

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required

Organization slug

Minimum string length: 1
repo
string
required

Repository name

Minimum string length: 1

Query Parameters

cursor
string

Opaque pagination cursor from a previous response

limit
integer

Maximum number of items to return (max 100)

Required range: 1 <= x <= 100

Response

Sync list

next_cursor
string | null
required

Cursor for the next page, or null when no more results remain

has_more
boolean
required

Whether another page of results is available

syncs
object[]
required